*****************************************************************************
**  USDFLD FOR FGMs        **************************************************
*****************************************************************************
*****************************************************************************
** Emilio Martinez-Paneda
** Department of Construction and Manufacturing Engineering
** University of Oviedo (Spain)      
** mail@empaneda.com
** Please refer the following paper:
** Martinez-Paneda, E. and Gallego, R., Numerical analysis of quasi-static
** fracture in functionally graded materials. International Journal of
** Mechanics and Materials in Design Vol. 11, pp. 405-424 (2015) 
** doi: 10.1007/s10999-014-9265-y
**      
**USER SUBROUTINE

      SUBROUTINE USDFLD(FIELD,STATEV,PNEWDT,DIRECT,T,CELENT,
     1 TIME,DTIME,CMNAME,ORNAME,NFIELD,NSTATV,NOEL,NPT,LAYER,
     2 KSPT,KSTEP,KINC,NDI,NSHR,COORD,JMAC,JMATYP,MATLAYO,LACCFLA)
C
      INCLUDE 'ABA_PARAM.INC'
C
      CHARACTER*80 CMNAME,ORNAME
      CHARACTER*3  FLGRAY(15)
      DIMENSION FIELD(NFIELD),STATEV(NSTATV),DIRECT(3,3),
     1 T(3,3),TIME(2)
      DIMENSION ARRAY(15),JARRAY(15),JMAC(*),JMATYP(*),COORD(*)
C    DIMENSION INTV(1),REALV(1)


      X=COORD(1)
      Y=COORD(2)
      
      FIELD(1)=dexp(2.07944154168*X)



      RETURN
      END
      